remove OpenGL testing from configure script

This commit is contained in:
Matthew Flatt 2010-11-05 19:20:59 -06:00
parent 601b411671
commit d065fb39e1
2 changed files with 2 additions and 341 deletions

303
src/configure vendored
View File

@ -1339,7 +1339,7 @@ Optional Features:
--enable-backtrace 3m: support GC backtrace dumps
--enable-float include support for single-precision floats
--enable-floatinstead compile to use single-precision by default
--enable-pthread link with pthreads (sometimes needed for GL)
--enable-pthread link with pthreads
--enable-stackup assume "up" if stack direction cannot be determined
--enable-bigendian assume "big" if endianness cannot be determined
--enable-oskit compile OSKit-based Racket kernel
@ -5354,7 +5354,6 @@ case $OS in
DYN_CFLAGS=""
enable_xrender=no
enable_cairo=no
enable_gl=no
enable_pthread=no
if test "${enable_libfw}" = "yes" ; then
FRAMEWORK_INSTALL_DIR=/Library/Frameworks
@ -9007,306 +9006,6 @@ if test "${enable_jit}" = "no" ; then
PREFLAGS="${PREFLAGS} -DMZ_DONT_USE_JIT"
fi
################ X OpenGL ##################
if test "${enable_gl}" = "" ; then
enable_gl=yes
fi
if test "${enable_gl}" = "yes" ; then
# Check for header
if test "${ac_cv_header_GL_glx_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for GL/glx.h" >&5
echo $ECHO_N "checking for GL/glx.h... $ECHO_C" >&6; }
if test "${ac_cv_header_GL_glx_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_GL_glx_h" >&5
echo "${ECHO_T}$ac_cv_header_GL_glx_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking GL/glx.h usability" >&5
echo $ECHO_N "checking GL/glx.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <GL/glx.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking GL/glx.h presence" >&5
echo $ECHO_N "checking GL/glx.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <GL/glx.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: GL/glx.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: GL/glx.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: GL/glx.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: GL/glx.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: GL/glx.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: GL/glx.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: GL/glx.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glx.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: GL/glx.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for GL/glx.h" >&5
echo $ECHO_N "checking for GL/glx.h... $ECHO_C" >&6; }
if test "${ac_cv_header_GL_glx_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_GL_glx_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_GL_glx_h" >&5
echo "${ECHO_T}$ac_cv_header_GL_glx_h" >&6; }
fi
if test $ac_cv_header_GL_glx_h = yes; then
GLX_HEADER=yes
else
GLX_HEADER=no
fi
if test "${GLX_HEADER}" = "no" ; then
echo "could not find GL/glx.h header; disabling GL support"
enable_gl=no
fi
fi
if test "${enable_gl}" = "yes" ; then
{ echo "$as_me:$LINENO: checking for glXChooseVisual in -lGL" >&5
echo $ECHO_N "checking for glXChooseVisual in -lGL... $ECHO_C" >&6; }
if test "${ac_cv_lib_GL_glXChooseVisual+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lGL $X_LIBS -lX11 -lXext $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char glXChooseVisual ();
int
main ()
{
return glXChooseVisual ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_lib_GL_glXChooseVisual=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_GL_glXChooseVisual=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glXChooseVisual" >&5
echo "${ECHO_T}$ac_cv_lib_GL_glXChooseVisual" >&6; }
if test $ac_cv_lib_GL_glXChooseVisual = yes; then
GLX_LINK=yes
else
GLX_LINK=no
fi
if test "${GL_LINK}" = "no" ; then
{ echo "$as_me:$LINENO: checking for glXChooseVisual in -lGL" >&5
echo $ECHO_N "checking for glXChooseVisual in -lGL... $ECHO_C" >&6; }
if test "${ac_cv_lib_GL_glXChooseVisual+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lGL $X_LIBS -lX11 -lXext -pthread $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char glXChooseVisual ();
int
main ()
{
return glXChooseVisual ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_lib_GL_glXChooseVisual=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_GL_glXChooseVisual=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glXChooseVisual" >&5
echo "${ECHO_T}$ac_cv_lib_GL_glXChooseVisual" >&6; }
if test $ac_cv_lib_GL_glXChooseVisual = yes; then
GLX_LINK=pthread
else
GLX_LINK=no
fi
fi
if test "${GLX_LINK}" = "no" ; then
echo "could not link to the GLX library; disabling GL support"
enable_gl=no
fi
if test "${GLX_LINK}" = "pthread" ; then
if test "${enable_pthread}" = "no" ; then
echo "could not link to GLX without pthreads; use --enable-pthread to enable GL"
enable_gl=no
fi
fi
fi
if test "${enable_gl}" = "yes" ; then
X_EXTRA_LIBS="$X_EXTRA_LIBS -lGL"
MROPTIONS="$MROPTIONS -DUSE_GL"
fi
############## docs ################
if test "${enable_docs}" = "no" ; then

View File

@ -48,7 +48,7 @@ AC_ARG_ENABLE(backtrace, [ --enable-backtrace 3m: support GC backtrace dum
AC_ARG_ENABLE(float, [ --enable-float include support for single-precision floats])
AC_ARG_ENABLE(floatinstead, [ --enable-floatinstead compile to use single-precision by default])
AC_ARG_ENABLE(pthread, [ --enable-pthread link with pthreads (sometimes needed for GL)])
AC_ARG_ENABLE(pthread, [ --enable-pthread link with pthreads])
AC_ARG_ENABLE(stackup, [ --enable-stackup assume "up" if stack direction cannot be determined])
AC_ARG_ENABLE(bigendian, [ --enable-bigendian assume "big" if endianness cannot be determined])
@ -686,7 +686,6 @@ case $OS in
DYN_CFLAGS=""
enable_xrender=no
enable_cairo=no
enable_gl=no
enable_pthread=no
if test "${enable_libfw}" = "yes" ; then
FRAMEWORK_INSTALL_DIR=/Library/Frameworks
@ -1032,43 +1031,6 @@ if test "${enable_jit}" = "no" ; then
PREFLAGS="${PREFLAGS} -DMZ_DONT_USE_JIT"
fi
################ X OpenGL ##################
if test "${enable_gl}" = "" ; then
enable_gl=yes
fi
if test "${enable_gl}" = "yes" ; then
# Check for header
AC_CHECK_HEADER(GL/glx.h, GLX_HEADER=yes, GLX_HEADER=no)
if test "${GLX_HEADER}" = "no" ; then
echo "could not find GL/glx.h header; disabling GL support"
enable_gl=no
fi
fi
if test "${enable_gl}" = "yes" ; then
AC_CHECK_LIB(GL, glXChooseVisual, GLX_LINK=yes, GLX_LINK=no, $X_LIBS -lX11 -lXext)
if test "${GL_LINK}" = "no" ; then
AC_CHECK_LIB(GL, glXChooseVisual, GLX_LINK=pthread, GLX_LINK=no, $X_LIBS -lX11 -lXext -pthread)
fi
if test "${GLX_LINK}" = "no" ; then
echo "could not link to the GLX library; disabling GL support"
enable_gl=no
fi
if test "${GLX_LINK}" = "pthread" ; then
if test "${enable_pthread}" = "no" ; then
echo "could not link to GLX without pthreads; use --enable-pthread to enable GL"
enable_gl=no
fi
fi
fi
if test "${enable_gl}" = "yes" ; then
X_EXTRA_LIBS="$X_EXTRA_LIBS -lGL"
MROPTIONS="$MROPTIONS -DUSE_GL"
fi
############## docs ################
if test "${enable_docs}" = "no" ; then